Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.cmce
Class CMCEKEMExtractor

    java.lang.Object
      org.bouncycastle.pqc.crypto.cmce.CMCEKEMExtractor

All Implemented Interfaces:
  EncapsulatedSecretExtractor

Deprecated. the standardised Classic McEliece KEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see org.bouncycastle.crypto.params.CMCEParameters and org.bouncycastle.jcajce.spec.CMCEParameterSpec). This is the legacy NIST round 3 (non-pc, incl. mceliece348864) implementation, retained for backwards compatibility.

public class CMCEKEMExtractor
extends java.lang.Object
implements EncapsulatedSecretExtractor

Constructor Summary
`CMCEKEMExtractor(CMCEPrivateKeyParameters privParams)` Deprecated.

Method Summary
`byte[]` | `extractSecret(byte[] encapsulation)` Deprecated. Extract the secret based on the recipient private key.
`byte[]` | `extractSecret(byte[] encapsulation, int sessionKeySizeInBits)` Deprecated.
`int` | `getEncapsulationLength()` Deprecated. Return the length in bytes of the encapsulation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMCEKEMExtractor

    public CMCEKEMExtractor(CMCEPrivateKeyParameters privParams)

  Deprecated.

Method Detail

### extractSecret

    public byte[] extractSecret(byte[] encapsulation)

  Deprecated.
  Description copied from interface: `EncapsulatedSecretExtractor`
  Extract the secret based on the recipient private key.

  Specified by:
    `extractSecret` in interface `EncapsulatedSecretExtractor`
  Parameters:
    `encapsulation` - the encapsulated secret.

### extractSecret

    public byte[] extractSecret(byte[] encapsulation,
                                int sessionKeySizeInBits)

  Deprecated.

### getEncapsulationLength

    public int getEncapsulationLength()

  Deprecated.
  Description copied from interface: `EncapsulatedSecretExtractor`
  Return the length in bytes of the encapsulation.

  Specified by:
    `getEncapsulationLength` in interface `EncapsulatedSecretExtractor`
  Returns:
    length in bytes of an encapsulation for this parameter set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD